Summary: proc filesystem information
Name: procinfo
Version: 16
Release: 1
Copyright: GPL
Group: Utilities/System
#Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Source: ftp://ftp.cistron.nl/pub/people/svm/procinfo-16.tar.gz
Patch0: procinfo-16-makefile.patch
Patch1: procinfo-16-timer.patch
Buildroot: /var/tmp/procinfo-root
Summary(de): Informationen zum proc-Dateisystem 
Summary(fr): informations sur le systme de fichiers proc
Summary(tr): proc dosya sistemi bilgileri
Obsoletes: procinfo

%description
procinfo is a package to allow you to get useful information
from /proc.  /proc is the kernel filesystem.  This is a place
you can go to acquire information from your running kernel.

%description -l de
Mit dem Paket procinfo knnen Sie ntzliche Informationen aus
/proc abrufen. /proc ist das Kernel-Dateisystem, das Informationen
ber den laufenden Kernel enthlt.

%description -l fr
procinfo est un paquetage permettant d'obtenir des informations
utiles  partir de /proc. /proc est le systme de fichiers du noyau.
C'est l'endroit o vous pouvez allez pour obtenir des informations
sur le noyau qui s'excute.

%description -l tr
procinfo, /proc dosya sisteminden bilgi almanza izin veren bir pakettir.
/proc ekirdek dosya sistemini tutar ve koan ekirdeinizden bilgi
edinebileceiniz bir dizin yaps sunar.

%prep
%setup -q -n procinfo-16
%patch0 -p1 -b .makefile
%patch1 -p1 -b .timer

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make install prefix=$RPM_BUILD_ROOT/usr

strip $RPM_BUILD_ROOT/usr/*bin/* || :

gzip -9 $RPM_BUILD_ROOT/usr/man/man?/* || :


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO CHANGES procinfo.lsm
%attr(755,root,root) /usr/bin/procinfo
%attr(755,root,root) /usr/bin/lsdev
%attr(755,root,root) /usr/bin/socklist
%attr(644,root,root) /usr/man/man8/procinfo.8.gz
%attr(644,root,root) /usr/man/man8/lsdev.8.gz
%attr(644,root,root) /usr/man/man8/socklist.8.gz

%changelog
* Mon Feb  1 1999 James Bourne <jbourne@affinity-systems.ab.ca>
- updated to version 16 (see CHANGES file)
- added ALL documentation as distributed.
- compiled against 2.2.1 headers

* Fri Nov 20 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated to version 15 to fix bugzilla 70.

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- calculate time per-cent on non-{alpha,i386} correctly.

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 14
- fixed the spec file 

* Thu Apr 30 1998 Donnie Barnes <djb@redhat.com>
- updated from 0.11 to 13
- added socklist program

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- updated to version 0.11

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
